## bld-settings 0.17~deb7u1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/etc/skel
	$(INSTALL) -d $(DESTDIR)/etc/skel/.gkrellm2
	$(INSTALL) -d $(DESTDIR)/etc/firefox
	$(INSTALL) -d $(DESTDIR)/etc/xdg/autostart
	$(INSTALL) -d $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -d $(DESTDIR)/usr/share/applications
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/host
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/net
	$(INSTALL) -d $(DESTDIR)/usr/share/glib-2.0/schemas
	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	$(INSTALL) -d $(DESTDIR)/usr/share/X11/xorg.conf.d
	# Directories with non-standard file permissions
	# Nothing yet
	# Files for Vim
	$(INSTALL) -m 644 src/etc/skel/.vimrc $(DESTDIR)/etc/skel
	# Files for MATE
	$(INSTALL) -m 644 src/usr/share/glib-2.0/schemas/99_bld-settings-mate.gschema.override $(DESTDIR)/usr/share/glib-2.0/schemas
	# Files for Firefox
	$(INSTALL) -m 644 src/etc/firefox/bld-settings.js $(DESTDIR)/etc/firefox
	# Files for X11VNC
	$(INSTALL) -m 644 src/etc/xdg/autostart/x11vnc.desktop $(DESTDIR)/etc/xdg/autostart
	# Files for MPlayer
	$(INSTALL) -m 644 src/usr/share/applications/mplayer.desktop $(DESTDIR)/usr/share/applications
	$(INSTALL) -m 644 src/usr/share/icons/hicolor/48x48/apps/mplayer.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	$(INSTALL) -m 644 src/usr/share/applications/mimeapps.list $(DESTDIR)/usr/share/applications
	ln -s mimeapps.list $(DESTDIR)/usr/share/applications/defaults.list
	# Files for GKrellM
	$(INSTALL) src/usr/share/bld-settings-gkrellm/gkrellm-configure $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -m 644 src/usr/share/bld-settings-gkrellm/user-config.md5sum $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -m 644 src/etc/xdg/autostart/gkrellm.desktop $(DESTDIR)/etc/xdg/autostart
	$(INSTALL) -m 644 src/usr/share/icons/hicolor/scalable/apps/gkrellm.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	$(INSTALL) -m 644 src/etc/skel/.gkrellm2/theme_config $(DESTDIR)/etc/skel/.gkrellm2
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/*.xpm $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/*.png $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/gkrellmrc $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/host/* $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/host
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/net/* $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/net
	# Files for Xorg
	$(INSTALL) -m 644 src/usr/share/X11/xorg.conf.d/* $(DESTDIR)/usr/share/X11/xorg.conf.d

clean:

=== debian/changelog ===
bld-settings (0.17~deb7u1) wheezy; urgency=medium

  * Rebuild for wheezy
  * [7ed184e] Revert "b-s-mate: remove gschema keys dropped from MATE 1.14"
  * [756e634] Revert "Put legacy Synaptics Xorg snippets in separate package"
  * [4b5e842] Revert "b-s-xorg: add Xorg snippet for touchpad tapping with
    libinput"
  * [444ad94] Revert "b-s-xorg: remove useless wheel emulation Xorg snippet"
  * [fcdbc6d] Revert "b-s-xorg: remove useless softbuttons Xorg snippet"
  * [897c603] Revert "Bump debhelper compat level to 10"
  * [9832a8a] b-s-vim: adjust to Vim 7.x
  * [3b31018] b-s-gkrellm: adjust to GKrellM 2.3.5
  * [46bbe57] Revert "b-s-firefox: update for Quantum"
  * [843f2c0] /usr/share/X11/xorg.conf.d/15-evdev...: add MatchDriver directive
  * [f9fbbb5] /usr/share/X11/xorg.conf.d/55-synaptics...: add MatchDriver
    directive

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 05 Apr 2018 17:33:24 +0200

bld-settings (0.17) unstable; urgency=medium

  * [d8507d4] b-s-gkrellm: exclude /dev from mount points in gkrellm-configure
  * [40b20fc] b-s-gkrellm: remove meta-top from Recommends

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 05 Apr 2018 17:05:29 +0200

bld-settings (0.16) unstable; urgency=medium

  * [60bbc81] b-s-gkrellm: add swap detection to gkrellm-configure
  * [6fda5a2] b-s-firefox: update for Quantum
    - Remove "Disable New Tab Page" (not used anymore)
    - Add "Display all history/cookies settings"
    - Add "Accept third-party cookies only from visited sites"
    - Add "Always enable tracking protection" (disabled)
  * [2754a59] b-s-*: remove dependencies on configured packages
  * [5ea097a] /usr/share/X11/xorg.conf.d/*: add MatchDriver directives
  * [35c74b8] /etc/xdg/autostart/*.desktop: add TryExec, and rely on $PATH
  * [fcb2274] debian/rules: remove override_dh_fixperms
  * [31fcfe2] Silence lintian warnings about files in /etc/skel

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 29 Mar 2018 10:59:17 +0200

bld-settings (0.15) unstable; urgency=medium

  * [4c1e00b] b-s-firefox: merge all files
  * [79ee305] b-s-firefox: remove useless Electrolysis settings
  * [df79b14] b-s-firefox: remove useless Hello settings
  * [f51016c] Bump Standards-Version to 4.1.3
  * [1ed4d8b] Silence lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 01 Jan 2018 23:51:35 +0100

bld-settings (0.14) unstable; urgency=high

  * [5acadd7] b-s-vim: disable modeline

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 31 Dec 2017 15:37:59 +0100

bld-settings (0.13) unstable; urgency=medium

  * [85856c2] Remove useless dependency on dpkg-dev (>= 1.16.1~)
  * [2e54bc0] Bump Standards-Version to 4.1.2
  * [579b0be] Bump debhelper compat level to 10
  * [f124ae7] New package: bld-settings-vim
  * [7fb4ed0] b-s-imagemagick: mention empty package in long description
  * [cae081f] b-s-gkrellm: manage user config with ucf

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 29 Dec 2017 20:05:43 +0100

bld-settings (0.12) unstable; urgency=medium

  * [d82cd52] b-s-xorg: rename Xorg snippets to more meaningful names
  * [31e8f0b] b-s-xorg: remove useless softbuttons Xorg snippet
  * [493b7ec] b-s-xorg: remove useless wheel emulation Xorg snippet
  * [5caf438] b-s-xorg: add Xorg snippet for touchpad tapping with libinput
  * [f618a86] Put legacy Synaptics Xorg snippets in separate package

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 29 Dec 2017 16:30:06 +0100

bld-settings (0.11) unstable; urgency=low

  * [1ca122b] New package: bld-settings-firefox-esr
  * [ec6e5d8] bld-settings-imagemagick: override lintian empty-binary-package

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 18 Jun 2017 23:27:41 +0200

bld-settings (0.10) unstable; urgency=low

  * [6aeaa26] Add some granularity to Makefile
  * [e58c09f] New package: bld-settings-firefox

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 16 Feb 2017 08:32:38 +0100

bld-settings (0.9) unstable; urgency=low

  * bld-settings-mate: remove gschema keys dropped from MATE 1.14
  * Update debian/gbp.conf
  * Bump Standards-Version to 3.9.8, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 29 May 2016 19:58:25 +0200

bld-settings (0.8) stable; urgency=medium

  * Add rudimentary debian/gbp.conf
  * Move ImageMagick icons fix in a new package
  * Update copyright dates in debian/ copyright files
  * debian/rules: remove useless exclude option
  * bld-settings-xorg: remove useless D libglib2.0-bin

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 01 Sep 2015 19:23:53 +0200

bld-settings (0.7) stable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes required
  * Slightly modify GKrellM default config
  * Add Recommends: meta-top to bld-settings-gkrellm
  * Hide ugly ImageMagick icons that the lazy package maintainers won't fix

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 26 Apr 2015 05:28:32 +0200

bld-settings (0.6) stable; urgency=medium

  * Update debian/rules to Debhelper v7 format
  * Fix typos in debian/changelog
  * Update various copyright files
  * Rename source dir from <package name>_<version> to <package name>-<version>

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 31 Aug 2014 18:15:27 +0200

bld-settings (0.5) unstable; urgency=medium

  * Add glib schemas overrides to disable mouse settings in MATE
  * Add xorg.conf snippet for TouchPad quirks
  * Remove .gtk-bookmarks skel link

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 25 Aug 2014 13:00:43 +0200

bld-settings (0.4) unstable; urgency=medium

  * Add xorg.conf snippet for TouchPad tapping

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 22 Aug 2014 01:24:51 +0200

bld-settings (0.3) unstable; urgency=medium

  * Add xorg.conf snippets for TrackPoint wheel emulation and TouchPad
    scrolling

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 21 Aug 2014 23:18:41 +0200

bld-settings (0.2) unstable; urgency=medium



=== debian/control ===
Source: bld-settings
Section: x11
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.3

Package: bld-settings-vim
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Vim
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package provides some default settings in /etc/skel for Vim.

Package: bld-settings-gkrellm
Architecture: all
Depends: ucf (>= 0.28), ${misc:Depends}
Description: Default settings for a cool user experience - GKrellM
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package provides a better-looking icon, a nice theme, an XDG-compliant 
 startup file and some default settings in /etc/skel for GKrellM.

Package: bld-settings-mate
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - MATE desktop
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package contains settings for the MATE desktop.

Package: bld-settings-mplayer
Architecture: all
Depends: ${misc:Depends}
Conflicts: mplayer-gui
Description: Default settings for a cool user experience - MPlayer
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides a desktop file and an icon for the non-gui version
 of MPlayer, to integrate it nicely in desktop environments, allowing users to
 play video files with it directly from a graphical file manager. It also makes
 it the default player for all video files.

Package: bld-settings-x11vnc
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - X11VNC
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides an XDG-compliant autostart file for X11VNC. It's
 primarily intended to be used with MATE and Xfce, since they don't provide
 a desktop sharing program (KDE and GNOME have their own), or if you prefer to
 use plain old x11vnc instead of the VNC server provided by KDE or GNOME.

Package: bld-settings-firefox
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Firefox
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides some additional default settings for the Firefox
 web browser, geared toward lightness (disabling Hello and Pocket extensions),
 privacy (enable "Do not track" in normal mode, disable New Tab Page) or
 performance (enable Electrolysis, a.k.a. multi-process windows).

Package: bld-settings-firefox-esr
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Firefox ESR
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides some additional default settings for the Firefox
 ESR web browser, geared toward lightness (disabling Hello and Pocket
 extensions), privacy (enable "Do not track" in normal mode, disable New Tab
 Page) or performance (enable Electrolysis, a.k.a. multi-process windows).

Package: bld-settings-xorg
Architecture: all
Depends: ${misc:Depends}
Description: Xorg small enhancements
 These are some xorg.conf snippets to enable some enhancements for pointing
 devices like TrackPoint wheel emulation and TouchPad tap and edge scrolling.
 It's primarily targeted for laptops.
 .
 Unlike gpointing-device-settings, it requires no user intervention or
 configuration, the settings are applied on a system-wide basis.
 .
 It was originally written for IBM/Lenovo ThinkPad hardware, but it may work
 well with other devices.

Package: bld-settings-imagemagick
Architecture: all
Depends: ${misc:Depends}
Description: Fix for ImageMagick
 This empty package has one simple purpose : to hide the ugly and
 non-functionnal ImageMagick icons that the lazy package maintainers didn't fix
 yet despite numerous bug reports.
 .
 It will be useless and discontinued as soon as the icons are fixed in the
 ImageMagick package, but for now it's necessary in order to have a nice and
 functionnal menu.

## bld-settings 0.20~deb8u1

=== debian/changelog ===
bld-settings (0.20~deb8u1) jessie; urgency=medium

  * [92333f8] New package: bld-settings-pulseaudio
  * [01fd8a8] New package: bld-settings-gnome
  * [a1fc0c1] Makefile: sort entries
  * [432ec7f] debian/control: sort entries

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 15 Jun 2019 00:14:29 +0200

bld-settings (0.19~deb8u1) jessie; urgency=medium

  * Rebuild for jessie
  * [2bae17c] Set Debian branch in debian/gbp.conf
  * [75b7df4] Revert "b-s-mate: remove gschema keys dropped from MATE 1.14"
  * [c38a270] Revert "Put legacy Synaptics Xorg snippets in separate package"
  * [a3bad9a] Revert "b-s-xorg: add Xorg snippet for touchpad tapping with
    libinput"
  * [1d6e200] Revert "b-s-xorg: remove useless wheel emulation Xorg snippet"
  * [814e62f] Revert "Bump debhelper compat level to 10"
  * [7347a3e] b-s-vim: adjust to Vim 7.x
  * [20b83fb] Revert "b-s-firefox: update for Quantum"
  * [8082ad7] /usr/share/X11/xorg.conf.d/15-evdev...: add MatchDriver directive
  * [13b4c02] b-s-firefox: revert for Firefox 52.x
  * [8d2e490] Revert Standards-Version to 3.9.6

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 03 Dec 2018 03:58:40 +0100

bld-settings (0.19) unstable; urgency=medium

  * [ced3701] b-s-firefox: put dpkg-maintcript-helper commands in separate file
  * [2f921d0] b-s-vim: remove obsolete conffile /etc/skel/.vimrc

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 03 Dec 2018 03:41:57 +0100

bld-settings (0.18) unstable; urgency=medium

  * [6f3ad10] b-s-mplayer: move mimeapps.list to /etc/xdg, and remove
    defaults.list
  * [dc96f82] b-s-firefox: settings file overhaul
    - Remove privacy.history.custom
    - Disable network.cookie.cookieBehavior
    - Add browser.urlbar.suggest.searches
    - Re-order entries to match preferences GUI
  * [4596d77] b-s-vim: keep everything in ~/.vim
    - Move ~/.vimrc to ~/.vim/vimrc
    - Add directive to keep viminfo file in ~/.vim/viminfo
  * [69a4dea] Bump Standards-Version to 4.2.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Oct 2018 16:06:03 +0200

=== debian/control ===
Source: bld-settings
Section: x11
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6


#
# Console apps
#

Package: bld-settings-vim
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Vim
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package provides some default settings in /etc/skel for Vim.


#
# Desktop apps
#

Package: bld-settings-firefox
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Firefox
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides some additional default settings for the Firefox
 web browser, geared toward lightness (disabling Hello and Pocket extensions),
 privacy (enable "Do not track" in normal mode, disable New Tab Page) or
 performance (enable Electrolysis, a.k.a. multi-process windows).

Package: bld-settings-firefox-esr
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - Firefox ESR
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides some additional default settings for the Firefox
 ESR web browser, geared toward lightness (disabling Hello and Pocket
 extensions), privacy (enable "Do not track" in normal mode, disable New Tab
 Page) or performance (enable Electrolysis, a.k.a. multi-process windows).

Package: bld-settings-gkrellm
Architecture: all
Depends: ucf (>= 0.28), ${misc:Depends}
Description: Default settings for a cool user experience - GKrellM
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package provides a better-looking icon, a nice theme, an XDG-compliant 
 startup file and some default settings in /etc/skel for GKrellM.

Package: bld-settings-imagemagick
Architecture: all
Depends: ${misc:Depends}
Description: Fix for ImageMagick
 This empty package has one simple purpose : to hide the ugly and
 non-functionnal ImageMagick icons that the lazy package maintainers didn't fix
 yet despite numerous bug reports.
 .
 It will be useless and discontinued as soon as the icons are fixed in the
 ImageMagick package, but for now it's necessary in order to have a nice and
 functionnal menu.

Package: bld-settings-mplayer
Architecture: all
Depends: ${misc:Depends}
Conflicts: mplayer-gui
Description: Default settings for a cool user experience - MPlayer
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides a desktop file and an icon for the non-gui version
 of MPlayer, to integrate it nicely in desktop environments, allowing users to
 play video files with it directly from a graphical file manager. It also makes
 it the default player for all video files.

Package: bld-settings-pulseaudio
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - PulseAudio
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package contains a PulseAudio configuration snippet to disable flat
 volumes.

Package: bld-settings-x11vnc
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - X11VNC
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package simply provides an XDG-compliant autostart file for X11VNC. It's
 primarily intended to be used with MATE and Xfce, since they don't provide
 a desktop sharing program (KDE and GNOME have their own), or if you prefer to
 use plain old x11vnc instead of the VNC server provided by KDE or GNOME.

Package: bld-settings-xorg
Architecture: all
Depends: ${misc:Depends}
Description: Xorg small enhancements
 These are some xorg.conf snippets to enable some enhancements for pointing
 devices like TrackPoint wheel emulation and TouchPad tap and edge scrolling.
 It's primarily targeted for laptops.
 .
 Unlike gpointing-device-settings, it requires no user intervention or
 configuration, the settings are applied on a system-wide basis.
 .
 It was originally written for IBM/Lenovo ThinkPad hardware, but it may work
 well with other devices.


#
# Desktop environments
#

Package: bld-settings-gnome
Architecture: all
Depends: ${misc:Depends}
Breaks: revert-bell
Replaces: revert-bell
Description: Default settings for a cool user experience - GNOME desktop
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package contains settings for the GNOME desktop.
 .
 For now, it simply replaces the new default "bell" sound (which is actually
 GNOME's "drip" sound) in sound-theme-freedesktop with the old one, before it
 was changed on 2012-08-09.

Package: bld-settings-mate
Architecture: all
Depends: ${misc:Depends}
Description: Default settings for a cool user experience - MATE desktop
 Various settings for GConf, dconf, icons, skeleton files, and other things to
 get a cool user experience out-of-the-box.
 .
 This package contains settings for the MATE desktop.

## bld-settings 0.20~deb9u1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/etc/firefox
	$(INSTALL) -d $(DESTDIR)/etc/pulse/daemon.conf.d
	$(INSTALL) -d $(DESTDIR)/etc/skel
	$(INSTALL) -d $(DESTDIR)/etc/skel/.gkrellm2
	$(INSTALL) -d $(DESTDIR)/etc/skel/.vim
	$(INSTALL) -d $(DESTDIR)/etc/xdg/autostart
	$(INSTALL) -d $(DESTDIR)/usr/share/applications
	$(INSTALL) -d $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/host
	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/net
	$(INSTALL) -d $(DESTDIR)/usr/share/glib-2.0/schemas
	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	$(INSTALL) -d $(DESTDIR)/usr/share/sounds/freedesktop/stereo
	$(INSTALL) -d $(DESTDIR)/usr/share/X11/xorg.conf.d
	# Directories with non-standard file permissions
	# Nothing yet
	# Files for Firefox
	$(INSTALL) -m 644 src/etc/firefox/bld-settings.js $(DESTDIR)/etc/firefox
	# Files for GKrellM
	$(INSTALL) src/usr/share/bld-settings-gkrellm/gkrellm-configure $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -m 644 src/usr/share/bld-settings-gkrellm/user-config.md5sum $(DESTDIR)/usr/share/bld-settings-gkrellm
	$(INSTALL) -m 644 src/etc/xdg/autostart/gkrellm.desktop $(DESTDIR)/etc/xdg/autostart
	$(INSTALL) -m 644 src/usr/share/icons/hicolor/scalable/apps/gkrellm.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	$(INSTALL) -m 644 src/etc/skel/.gkrellm2/theme_config $(DESTDIR)/etc/skel/.gkrellm2
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/*.xpm $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/*.png $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/gkrellmrc $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/host/* $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/host
	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/net/* $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/net
	# Files for GNOME
	$(INSTALL) -m 644 src/usr/share/sounds/freedesktop/stereo/bell.oga $(DESTDIR)/usr/share/sounds/freedesktop/stereo
	# Files for MATE
	$(INSTALL) -m 644 src/usr/share/glib-2.0/schemas/99_bld-settings-mate.gschema.override $(DESTDIR)/usr/share/glib-2.0/schemas
	# Files for MPlayer
	$(INSTALL) -m 644 src/usr/share/applications/mplayer.desktop $(DESTDIR)/usr/share/applications
	$(INSTALL) -m 644 src/usr/share/icons/hicolor/48x48/apps/mplayer.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	$(INSTALL) -m 644 src/etc/xdg/mimeapps.list $(DESTDIR)/etc/xdg
	# Files for PulseAudio
	$(INSTALL) -m 644 src/etc/pulse/daemon.conf.d/10-disable-flat-volumes.conf $(DESTDIR)/etc/pulse/daemon.conf.d
	# Files for Vim
	$(INSTALL) -m 644 src/etc/skel/.vim/vimrc $(DESTDIR)/etc/skel/.vim
	# Files for X11VNC
	$(INSTALL) -m 644 src/etc/xdg/autostart/x11vnc.desktop $(DESTDIR)/etc/xdg/autostart
	# Files for Xorg
	$(INSTALL) -m 644 src/usr/share/X11/xorg.conf.d/* $(DESTDIR)/usr/share/X11/xorg.conf.d

clean:

=== debian/changelog ===
bld-settings (0.20~deb9u1) stretch; urgency=medium

  * [59bafd3] New package: bld-settings-pulseaudio
  * [bf0e71c] New package: bld-settings-gnome
  * [643aee5] Makefile: sort entries
  * [8c90e13] debian/control: sort entries

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 14 Jun 2019 23:59:56 +0200

bld-settings (0.19~deb9u1) stretch; urgency=medium

  * Rebuild for stretch
  * [67eb77a] Set Debian branch in debian/gbp.conf
  * [cd98bc8] Revert Standards-Version to 3.9.8

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 03 Dec 2018 03:54:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 
 
 #
@@ -119,6 +119,23 @@
  It was originally written for IBM/Lenovo ThinkPad hardware, but it may work
  well with other devices.
 
+Package: bld-settings-xorg-synaptics
+Architecture: all
+Depends: ${misc:Depends}
+Description: Xorg small enhancements - Synaptics
+ These are some xorg.conf snippets to enable some enhancements for pointing
+ devices like TouchPad tap and edge scrolling. It's primarily targeted for
+ laptops.
+ .
+ Unlike gpointing-device-settings, it requires no user intervention or
+ configuration, the settings are applied on a system-wide basis.
+ .
+ It was originally written for IBM/Lenovo ThinkPad hardware, but it may work
+ well with other devices.
+ .
+ Install this package only if you prefer using the legacy synaptics driver
+ instead of the more recent libinput replacement.
+
 
 #
 # Desktop environments

## bld-settings 0.20+deb10u1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	# Directories with standard file permissions
 	$(INSTALL) -d $(DESTDIR)/etc/firefox
 	$(INSTALL) -d $(DESTDIR)/etc/pulse/daemon.conf.d
+	$(INSTALL) -d $(DESTDIR)/etc/modules-load.d
 	$(INSTALL) -d $(DESTDIR)/etc/skel
 	$(INSTALL) -d $(DESTDIR)/etc/skel/.gkrellm2
 	$(INSTALL) -d $(DESTDIR)/etc/skel/.vim
@@ -27,6 +28,7 @@
 	# Files for Firefox
 	$(INSTALL) -m 644 src/etc/firefox/bld-settings.js $(DESTDIR)/etc/firefox
 	# Files for GKrellM
+	$(INSTALL) -m 644 src/etc/modules-load.d/drivetemp.conf $(DESTDIR)/etc/modules-load.d
 	$(INSTALL) src/usr/share/bld-settings-gkrellm/gkrellm-configure $(DESTDIR)/usr/share/bld-settings-gkrellm
 	$(INSTALL) -m 644 src/usr/share/bld-settings-gkrellm/user-config.md5sum $(DESTDIR)/usr/share/bld-settings-gkrellm
 	$(INSTALL) -m 644 src/etc/xdg/autostart/gkrellm.desktop $(DESTDIR)/etc/xdg/autostart

=== debian/changelog ===
bld-settings (0.20+deb10u1) buster; urgency=medium

  * [631cd8e] Set Debian branch in debian/gbp.conf
  * [68b96f6] b-s-gkrellm: add file to load drivetemp kernel module
    (hddtemp is deprecated)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 10 Feb 2021 14:04:58 +0100

bld-settings (0.20) unstable; urgency=medium

  * [5c99bfa] New package: bld-settings-pulseaudio
  * [987a8f2] New package: bld-settings-gnome
  * [e4f48be] Makefile: sort entries
  * [6b796ec] debian/control: sort entries
  * [fd01202] Bump Standards-Version to 4.3.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 10 Jun 2019 11:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 
 
 #

## bld-settings 0.30

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,18 @@
 
 install:
 	# Directories with standard file permissions
+	$(INSTALL) -d $(DESTDIR)/etc/default/grub.d
 	$(INSTALL) -d $(DESTDIR)/etc/firefox
-	$(INSTALL) -d $(DESTDIR)/etc/pulse/daemon.conf.d
+	$(INSTALL) -d $(DESTDIR)/etc/lightdm/lightdm.conf.d
+	$(INSTALL) -d $(DESTDIR)/etc/lightdm/lightdm-gtk-greeter.conf.d
 	$(INSTALL) -d $(DESTDIR)/etc/modules-load.d
 	$(INSTALL) -d $(DESTDIR)/etc/skel
 	$(INSTALL) -d $(DESTDIR)/etc/skel/.gkrellm2
 	$(INSTALL) -d $(DESTDIR)/etc/skel/.vim
 	$(INSTALL) -d $(DESTDIR)/etc/xdg/autostart
+	$(INSTALL) -d $(DESTDIR)/etc/xrdp
+	$(INSTALL) -d $(DESTDIR)/etc/X11/Xresources
+	$(INSTALL) -d $(DESTDIR)/etc/X11/Xsession.d
 	$(INSTALL) -d $(DESTDIR)/usr/share/applications
 	$(INSTALL) -d $(DESTDIR)/usr/share/bld-settings-gkrellm
 	$(INSTALL) -d $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue
@@ -21,10 +26,13 @@
 	$(INSTALL) -d $(DESTDIR)/usr/share/glib-2.0/schemas
 	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
+	$(INSTALL) -d $(DESTDIR)/usr/share/pixmaps
 	$(INSTALL) -d $(DESTDIR)/usr/share/sounds/freedesktop/stereo
 	$(INSTALL) -d $(DESTDIR)/usr/share/X11/xorg.conf.d
 	# Directories with non-standard file permissions
 	# Nothing yet
+	# Files for GRUB
+	$(INSTALL) -m 644 src/etc/default/grub.d/* $(DESTDIR)/etc/default/grub.d
 	# Files for Firefox
 	$(INSTALL) -m 644 src/etc/firefox/bld-settings.js $(DESTDIR)/etc/firefox
 	# Files for GKrellM
@@ -41,19 +49,26 @@
 	$(INSTALL) -m 644 src/usr/share/gkrellm2/themes/ShinyMetal-Blue/net/* $(DESTDIR)/usr/share/gkrellm2/themes/ShinyMetal-Blue/net
 	# Files for GNOME
 	$(INSTALL) -m 644 src/usr/share/sounds/freedesktop/stereo/bell.oga $(DESTDIR)/usr/share/sounds/freedesktop/stereo
+	# Files for LightDM
+	$(INSTALL) -m 644 src/etc/lightdm/lightdm.conf.d/* $(DESTDIR)/etc/lightdm/lightdm.conf.d
+	$(INSTALL) -m 644 src/etc/lightdm/lightdm-gtk-greeter.conf.d/* $(DESTDIR)/etc/lightdm/lightdm-gtk-greeter.conf.d
+	$(INSTALL) -m 644 src/etc/X11/Xsession.d/45lightdm-source-profile $(DESTDIR)/etc/X11/Xsession.d
 	# Files for MATE
 	$(INSTALL) -m 644 src/usr/share/glib-2.0/schemas/99_bld-settings-mate.gschema.override $(DESTDIR)/usr/share/glib-2.0/schemas
 	# Files for MPlayer
 	$(INSTALL) -m 644 src/usr/share/applications/mplayer.desktop $(DESTDIR)/usr/share/applications
 	$(INSTALL) -m 644 src/usr/share/icons/hicolor/48x48/apps/mplayer.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 	$(INSTALL) -m 644 src/etc/xdg/mimeapps.list $(DESTDIR)/etc/xdg
-	# Files for PulseAudio
-	$(INSTALL) -m 644 src/etc/pulse/daemon.conf.d/10-disable-flat-volumes.conf $(DESTDIR)/etc/pulse/daemon.conf.d
 	# Files for Vim
 	$(INSTALL) -m 644 src/etc/skel/.vim/vimrc $(DESTDIR)/etc/skel/.vim
 	# Files for X11VNC
 	$(INSTALL) -m 644 src/etc/xdg/autostart/x11vnc.desktop $(DESTDIR)/etc/xdg/autostart
 	# Files for Xorg
+	$(INSTALL) -m 644 src/etc/X11/Xresources/* $(DESTDIR)/etc/X11/Xresources
+	$(INSTALL) -m 644 src/usr/share/icons/hicolor/scalable/apps/mini.xterm.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
+	$(INSTALL) -m 644 src/usr/share/pixmaps/mini.xterm_* $(DESTDIR)/usr/share/pixmaps
 	$(INSTALL) -m 644 src/usr/share/X11/xorg.conf.d/* $(DESTDIR)/usr/share/X11/xorg.conf.d
+	# Files for Xrdp
+	$(INSTALL) -m 644 src/etc/xrdp/* $(DESTDIR)/etc/xrdp
 
 clean:

=== debian/changelog ===
bld-settings (0.30) unstable; urgency=medium

  * [3f7fca5] b-s-vim: update /etc/skel/.vim/vimrc
  * [eb1e091] New package: bld-settings-lightdm
  * [e42ffd2] Remove b-s-grub-*.copyright (identical to default copyright file)
  * [bdd66f3] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 28 Apr 2023 08:27:36 +0200

bld-settings (0.29) unstable; urgency=medium

  * [b60f97a] b-s-xorg: use Hack instead of Monospace for XTerm
  * [a285758] Update lintian overrides

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 15 Jan 2023 14:59:49 +0100

bld-settings (0.28) unstable; urgency=medium

  * [7cfbda2] New package: bld-settings-ffmpegthumbnailer

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 22 Sep 2022 12:28:52 +0200

bld-settings (0.27) unstable; urgency=medium

  * [78b1787] bld-settings-imagemagick: update maintainer scripts
  * [b5213e2] bld-settings-imagemagick: update package description

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 17 Sep 2022 11:34:25 +0200

bld-settings (0.26) unstable; urgency=medium

  * [edd134d] bld-settings-xorg: replace XTerm icons
  * [0c66bbe] bld-settings-gnome: update maintainer scripts

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 11 Sep 2022 00:34:22 +0200

bld-settings (0.25) unstable; urgency=medium

  * [7302ac4] b-s-xrdp: fix problems in maintainer scripts
    - add #DEBHELPER# tags
    - add Depends: adduser
    - add Pre-Depends: xrdp (the package could be configured before xrdp
      user is created)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2022 13:50:07 +0200

bld-settings (0.24) unstable; urgency=medium

  * [383a41b] New package: bld-settings-xrdp
  * [94a26a6] b-s-xorg: add Depends: x11-xserver-utils

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 02 Sep 2022 22:57:11 +0200

bld-settings (0.23) unstable; urgency=medium

  * [bc86eec] b-s-gkrellm: update dependencies and gkrellm-configure script
    - Add bc to Depends (needed by gkrellm-configure script)
    - Add meta-top to Depends
    - gkrellm-configure: remove @.* from network interface names
    - gkrellm-configure: exclude /dev from mount points
  * [9873f2c] b-s-vim: update /etc/skel/.vim/vimrc
  * [2d56464] b-s-xorg: add Xresources files for xterm
  * [9541429] New packages: bld-settings-grub-{common,desktop,misc,thinkpad}
  * [c0733df] Bump debhelper compatibility level to 13
  * [de53c62] Silence lintian warnings about debian/copyright symlinks
  * [475f0cb] Fix some maintainer scripts

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 18 Aug 2022 14:09:31 +0200

bld-settings (0.22) unstable; urgency=medium

  * [f71c5b5] b-s-gkrellm: add file to load drivetemp kernel module
    (hddtemp is deprecated)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 10 Feb 2021 13:54:34 +0100

bld-settings (0.21) unstable; urgency=medium

  * [7870691] Remove b-s-pulseaudio (flat volumes are now disabled by default)
  * [2619f27] Bump Standards-Version to 4.5.1
  * [fad41a1] Bump debhelper compatibility level to 12
  * [8b18b03] Update copyright files
  * [c53dd52] Drop old lintian override "testsuite-autopkgtest-missing"

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 08 Jan 2021 00:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 
 
 #
@@ -19,10 +19,66 @@
  .
  This package provides some default settings in /etc/skel for Vim.
 
+Package: bld-settings-grub-common
+Architecture: all
+Depends: grub2-common, ${misc:Depends}
+Description: Default settings for a cool user experience - GRUB
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package provides GRUB drop-in files for all systems.
+
+Package: bld-settings-grub-desktop
+Architecture: all
+Depends: bld-settings-grub-common, ${misc:Depends}
+Description: Default settings for a cool user experience - GRUB (desktop)
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package provides GRUB drop-in files for desktops.
+
+Package: bld-settings-grub-misc
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: bld-settings-grub-common, ${misc:Depends}
+Description: Default settings for a cool user experience - GRUB (misc)
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package provides miscelanneous GRUB drop-in files.
+
+Package: bld-settings-grub-thinkpad
+Architecture: all
+Depends: bld-settings-grub-common, ${misc:Depends}
+Description: Default settings for a cool user experience - GRUB (ThinkPad)
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package provides GRUB drop-in files for ThinkPad laptops.
+
+Package: bld-settings-xrdp
+Architecture: all
+Pre-Depends: xrdp
+Depends: adduser, ${misc:Depends}
+Description: Default settings for a cool user experience - xrdp
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package contains a background and a logo in BMP format for xrdp.
+ 
+
 
 #
 # Desktop apps
 #
+
+Package: bld-settings-ffmpegthumbnailer
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: meta-gnome (<< 0.47)
+Description: Default settings for a cool user experience - FFmpegthumbnailer
+ This empty package makes FFmpegthumbnailer the default thumbnailer for video
+ files, by disabling other video thumbnailers.
 
 Package: bld-settings-firefox
 Architecture: all
@@ -50,7 +106,7 @@
 
 Package: bld-settings-gkrellm
 Architecture: all
-Depends: ucf (>= 0.28), ${misc:Depends}
+Depends: ucf (>= 0.28), bc, meta-top, ${misc:Depends}
 Description: Default settings for a cool user experience - GKrellM
  Various settings for GConf, dconf, icons, skeleton files, and other things to
  get a cool user experience out-of-the-box.
@@ -63,12 +119,24 @@
 Depends: ${misc:Depends}
 Description: Fix for ImageMagick
  This empty package has one simple purpose : to hide the ugly and
- non-functionnal ImageMagick icons that the lazy package maintainers didn't fix
- yet despite numerous bug reports.
+ non-functionnal ImageMagick icons that the package maintainers didn't fix yet
+ despite numerous bug reports.
  .
  It will be useless and discontinued as soon as the icons are fixed in the
  ImageMagick package, but for now it's necessary in order to have a nice and
  functionnal menu.
+
+Package: bld-settings-lightdm
+Architecture: all
+Depends: fonts-noto-core, gtk2-engines, tango-icon-theme, ${misc:Depends}
+Recommends: accountsservice, upower
+Description: Default settings for a cool user experience - LightDM
+ Various settings for GConf, dconf, icons, skeleton files, and other things to
+ get a cool user experience out-of-the-box.
+ .
+ This package slightly modifies LightDM's default theme, and adds an Xsession
+ configuration fragment to source profile at startup (which LightDM doesn't do
+ by default, unlike most other DMs).
 
 Package: bld-settings-mplayer
 Architecture: all
@@ -83,16 +151,6 @@
  play video files with it directly from a graphical file manager. It also makes
  it the default player for all video files.
 
-Package: bld-settings-pulseaudio
-Architecture: all
-Depends: ${misc:Depends}
-Description: Default settings for a cool user experience - PulseAudio
- Various settings for GConf, dconf, icons, skeleton files, and other things to
- get a cool user experience out-of-the-box.
- .
- This package contains a PulseAudio configuration snippet to disable flat
- volumes.
-
 Package: bld-settings-x11vnc
 Architecture: all
 Depends: ${misc:Depends}
@@ -107,17 +165,12 @@
 
 Package: bld-settings-xorg
 Architecture: all
-Depends: ${misc:Depends}
+Depends: x11-xserver-utils, fonts-hack, ${misc:Depends}
 Description: Xorg small enhancements
- These are some xorg.conf snippets to enable some enhancements for pointing
- devices like TrackPoint wheel emulation and TouchPad tap and edge scrolling.
- It's primarily targeted for laptops.
- .
- Unlike gpointing-device-settings, it requires no user intervention or
- configuration, the settings are applied on a system-wide basis.
- .
- It was originally written for IBM/Lenovo ThinkPad hardware, but it may work
- well with other devices.
+ These are some defaults settings for Xorg.
+ .
+ They include default Xresources for X11 programs, and xorg.conf snippets to
+ enable some hidden functionalities.
 
 Package: bld-settings-xorg-synaptics
 Architecture: all
